package dev.peerat.parser.visitor;

import static dev.peerat.parser.java.visitor.JavaVisitor.*;
import static dev.peerat.parser.visitor.Operator.*;

import dev.peerat.parser.java.JavaFile;
import dev.peerat.parser.java.JavaParser;

public class Example {
	
	public static void main(String[] args) throws Exception{
		
		JavaParser parser = new JavaParser();
		JavaFile container = new JavaFile();
		parser.parse("package dev.peerat.test; public class Example{ private int i = j, j; public void helloTest(){ System.out.println(\"hello\"); } }", container);
		
		VisitorBag result = container.visit(
				key(allClass()
					.isPublic()
					.elements(
							value(allVariable()
							)
					)
				));
		
		System.out.println("allJavaElement in class : "+result.toList());
	}

}
